Building glib

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Building glib

C W Rose
I've been trying to build the glib package (pretty much any version) for
a few days now, with no success.  The sequence of results is:

===================================================================
cwr@sixpence cabal $ cabal --verbose --global
--package-db=/opt/cabal/package.conf.d install glib-0.12.5.4
'/opt/cabal/bin/alex' '--version'
'/opt/cabal/bin/cpphs' '--version'
'/usr/bin/gcc' '-dumpversion'
'/opt/cabal/bin/haddock' '--version'
'/opt/cabal/bin/happy' '--version'
'/usr/bin/hpc' 'version'
looking for tool hsc2hs near compiler in /usr/bin
found hsc2hs in /usr/bin/hsc2hs
'/usr/bin/hsc2hs' '--version'
'/opt/cabal/bin/HsColour' '-version'
'/usr/bin/ghc' '-c' '/tmp/6826.c' '-o' '/tmp/6826.o'
'/usr/bin/ld' '-x' '-r' '/tmp/6826.o' '-o' '/tmp/6827.o'
'/usr/bin/pkg-config' '--version'
'/bin/tar' '--help'
Reading available packages...
Warning: The package list for 'hackage.haskell.org' is 52.1 days old.
Run 'cabal update' to get the latest list of available packages.
Choosing modular solver.
Resolving dependencies...
Ready to install glib-0.12.5.4
Waiting for install task to finish...
Extracting
/opt/cabal/packages/hackage.haskell.org/glib/0.12.5.4/glib-0.12.5.4.tar.gz to
/tmp/glib-0.12.5.4-6826...
Updating glib.cabal with the latest revision from the index.
creating /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup
creating /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist
creating /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup
copy /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/Setup.hs to
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup.hs
'/usr/bin/ghc' '--make' '-odir'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup' '-hidir'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup' '-i'
'-i/tmp/glib-0.12.5.4-6826/glib-0.12.5.4' '-package-db'
'/opt/cabal/package.conf.d' '-package-id'
'Cabal-1.22.1.1-98c5a01d59dd973fd7113dbb82e82560'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup.hs' '-o'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup' '-threaded'
[1 of 2] Compiling SetupWrapper     (
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/SetupWrapper.hs,
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/SetupWrapper.o )

/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/SetupWrapper.hs:118:28: Warning:
    In the use of `configCompiler'
    (imported from Distribution.Simple.Configure):
    Deprecated: "'configCompiler' is deprecated. Use 'configCompilerEx'
instead."
[2 of 2] Compiling Main             (
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup.hs,
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/Main.o )
Linking /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup ...
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup configure --verbose=2
--ghc --prefix=/opt/cabal --bindir=/opt/cabal/bin --libdir=/opt/cabal/lib
--libsubdir=glib-0.12.5.4/ghc-7.6.3 --libexecdir=/opt/cabal/libexec
--datadir=/opt/cabal/share --datasubdir=glib-0.12.5.4
--docdir=/opt/cabal/share/doc/glib-0.12.5.4
--htmldir=/opt/cabal/share/doc/glib-0.12.5.4/html
--haddockdir=/opt/cabal/share/doc/glib-0.12.5.4/html
--sysconfdir=/opt/cabal/etc --enable-library-profiling --enable-optimization=2
--global --package-db=/opt/cabal/package.conf.d --flags=closure_signals
--dependency=utf8-string=utf8-string-0.3.8-51169ff3d90963aa54c0a13eee5c3a53
--dependency=containers=containers-0.5.0.0-e7e1a93d7945e93a00ce12660e9ff290
--dependency=base=base-4.6.0.1-220b875e77822b0e1bf50c8f35d37dff
--disable-tests --exact-configuration --disable-benchmarks
[1 of 2] Compiling Gtk2HsSetup      ( Gtk2HsSetup.hs,
dist/setup-wrapper/Gtk2HsSetup.o )
[2 of 2] Compiling Main             ( SetupMain.hs, dist/setup-wrapper/Main.o )
Linking dist/setup-wrapper/setup ...
unrecognized option `--sysconfdir=/opt/cabal/etc'

unrecognized option
`--dependency=utf8-string=utf8-string-0.3.8-51169ff3d90963aa54c0a13eee5c3a53'

unrecognized option
`--dependency=containers=containers-0.5.0.0-e7e1a93d7945e93a00ce12660e9ff290'

unrecognized option
`--dependency=base=base-4.6.0.1-220b875e77822b0e1bf50c8f35d37dff'

unrecognized option `--exact-configuration'
Failed to install glib-0.12.5.4
World file is already up to date.
cabal: Error: some packages failed to install:
glib-0.12.5.4 failed during the configure step. The exception was:
ExitFailure 1
cwr@sixpence cabal $
===================================================================

Moving to the default version of glib, I then get:

===================================================================
cwr@sixpence cabal $ cabal --verbose --global
--package-db=/opt/cabal/package.conf.d install glib
Reading available packages...
Choosing modular solver.
Resolving dependencies...
Ready to install glib-0.13.1.0
Waiting for install task to finish...
Extracting
/opt/cabal/packages/hackage.haskell.org/glib/0.13.1.0/glib-0.13.1.0.tar.gz to
/tmp/glib-0.13.1.0-3703...
Updating glib.cabal with the latest revision from the index.
creating /tmp/glib-0.13.1.0-3703/glib-0.13.1.0/dist/setup
creating /tmp/glib-0.13.1.0-3703/glib-0.13.1.0/dist
creating /tmp/glib-0.13.1.0-3703/glib-0.13.1.0/dist/setup
Failed to install glib-0.13.1.0
World file is already up to date.
cabal: Error: some packages failed to install:
glib-0.13.1.0 failed during the configure step. The exception was:
user error (The package 'glib' requires Cabal library version -any && >=1.18
but no suitable version is installed.)
cwr@sixpence cabal $ cabal --version
cabal-install version 1.18.0.2
using version 1.18.1.2 of the Cabal library
cwr@sixpence cabal $
===================================================================

And moving to the default version of cabal, I get:

===================================================================
cwr@sixpence cabal $ cabal --verbose --global
--package-db=/opt/cabal/package.conf.d install glib
'/opt/cabal/bin/alex' '--version'
'/opt/cabal/bin/cpphs' '--version'
'/usr/bin/gcc' '-dumpversion'
'/opt/cabal/bin/haddock' '--version'
'/opt/cabal/bin/happy' '--version'
'/usr/bin/hpc' 'version'
looking for tool hsc2hs near compiler in /usr/bin
found hsc2hs in /usr/bin/hsc2hs
'/usr/bin/hsc2hs' '--version'
'/opt/cabal/bin/HsColour' '-version'
'/usr/bin/ghc' '-c' '/tmp/4186.c' '-o' '/tmp/4186.o'
'/usr/bin/ld' '-x' '-r' '/tmp/4186.o' '-o' '/tmp/4187.o'
'/usr/bin/pkg-config' '--version'
'/bin/tar' '--help'
Reading available packages...
Warning: The package list for 'hackage.haskell.org' is 51.4 days old.
Run 'cabal update' to get the latest list of available packages.
Choosing modular solver.
Resolving dependencies...
Ready to install glib-0.13.1.0
Waiting for install task to finish...
Extracting
/opt/cabal/packages/hackage.haskell.org/glib/0.13.1.0/glib-0.13.1.0.tar.gz to
/tmp/glib-0.13.1.0-4186...
Updating glib.cabal with the latest revision from the index.
creating /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup
creating /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist
creating /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup
copy /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/Setup.hs to
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup.hs
'/usr/bin/ghc' '--make' '-odir'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup' '-hidir'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup' '-i'
'-i/tmp/glib-0.13.1.0-4186/glib-0.13.1.0' '-package-db'
'/opt/cabal/package.conf.d' '-package-id'
'Cabal-1.22.1.1-98c5a01d59dd973fd7113dbb82e82560'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup.hs' '-o'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup' '-threaded'
[1 of 2] Compiling SetupWrapper     (
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/SetupWrapper.hs,
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/SetupWrapper.o )
[2 of 2] Compiling Main             (
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup.hs,
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/Main.o )
Linking /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup ...
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup configure --verbose=2
--ghc --prefix=/opt/cabal --bindir=/opt/cabal/bin --libdir=/opt/cabal/lib
--libsubdir=glib-0.13.1.0/ghc-7.6.3 --libexecdir=/opt/cabal/libexec
--datadir=/opt/cabal/share --datasubdir=glib-0.13.1.0
--docdir=/opt/cabal/share/doc/glib-0.13.1.0
--htmldir=/opt/cabal/share/doc/glib-0.13.1.0/html
--haddockdir=/opt/cabal/share/doc/glib-0.13.1.0/html
--sysconfdir=/opt/cabal/etc --enable-library-profiling --enable-optimization=2
--global --package-db=/opt/cabal/package.conf.d --flags=closure_signals
--dependency=utf8-string=utf8-string-0.3.8-51169ff3d90963aa54c0a13eee5c3a53
--dependency=text=text-1.1.1.3-3a54592a9f7d64cef4851163d5553453
--dependency=containers=containers-0.5.0.0-e7e1a93d7945e93a00ce12660e9ff290
--dependency=bytestring=bytestring-0.10.0.2-14ba8002009bf89cdad6038c30eda3fd
--dependency=base=base-4.6.0.1-220b875e77822b0e1bf50c8f35d37dff
--disable-tests --exact-configuration --disable-benchmarks
[1 of 2] Compiling Gtk2HsSetup      ( Gtk2HsSetup.hs,
dist/setup-wrapper/Gtk2HsSetup.o )

Gtk2HsSetup.hs:167:16:
    Not in scope: `LBI.getComponentLocalBuildInfo'
Failed to install glib-0.13.1.0
Updating world file...
cabal: Error: some packages failed to install:
glib-0.13.1.0 failed during the configure step. The exception was:
ExitFailure 1
cwr@sixpence cabal $
===================================================================

Does anyone have any idea how to fix any or all of these errors?

Thanks - Will


_______________________________________________
Beginners mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/beginners
Reply | Threaded
Open this post in threaded view
|

Re: Building glib

Sylvain HENRY
Hi,

You should try to build with GHC 7.10 (and the last cabal-install too).

Sylvain

2015-05-06 18:05 GMT+02:00 C W Rose <[hidden email]>:
I've been trying to build the glib package (pretty much any version) for
a few days now, with no success.  The sequence of results is:

===================================================================
cwr@sixpence cabal $ cabal --verbose --global
--package-db=/opt/cabal/package.conf.d install glib-0.12.5.4
'/opt/cabal/bin/alex' '--version'
'/opt/cabal/bin/cpphs' '--version'
'/usr/bin/gcc' '-dumpversion'
'/opt/cabal/bin/haddock' '--version'
'/opt/cabal/bin/happy' '--version'
'/usr/bin/hpc' 'version'
looking for tool hsc2hs near compiler in /usr/bin
found hsc2hs in /usr/bin/hsc2hs
'/usr/bin/hsc2hs' '--version'
'/opt/cabal/bin/HsColour' '-version'
'/usr/bin/ghc' '-c' '/tmp/6826.c' '-o' '/tmp/6826.o'
'/usr/bin/ld' '-x' '-r' '/tmp/6826.o' '-o' '/tmp/6827.o'
'/usr/bin/pkg-config' '--version'
'/bin/tar' '--help'
Reading available packages...
Warning: The package list for 'hackage.haskell.org' is 52.1 days old.
Run 'cabal update' to get the latest list of available packages.
Choosing modular solver.
Resolving dependencies...
Ready to install glib-0.12.5.4
Waiting for install task to finish...
Extracting
/opt/cabal/packages/hackage.haskell.org/glib/0.12.5.4/glib-0.12.5.4.tar.gz to
/tmp/glib-0.12.5.4-6826...
Updating glib.cabal with the latest revision from the index.
creating /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup
creating /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist
creating /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup
copy /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/Setup.hs to
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup.hs
'/usr/bin/ghc' '--make' '-odir'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup' '-hidir'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup' '-i'
'-i/tmp/glib-0.12.5.4-6826/glib-0.12.5.4' '-package-db'
'/opt/cabal/package.conf.d' '-package-id'
'Cabal-1.22.1.1-98c5a01d59dd973fd7113dbb82e82560'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup.hs' '-o'
'/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup' '-threaded'
[1 of 2] Compiling SetupWrapper     (
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/SetupWrapper.hs,
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/SetupWrapper.o )

/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/SetupWrapper.hs:118:28: Warning:
    In the use of `configCompiler'
    (imported from Distribution.Simple.Configure):
    Deprecated: "'configCompiler' is deprecated. Use 'configCompilerEx'
instead."
[2 of 2] Compiling Main             (
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup.hs,
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/Main.o )
Linking /tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup ...
/tmp/glib-0.12.5.4-6826/glib-0.12.5.4/dist/setup/setup configure --verbose=2
--ghc --prefix=/opt/cabal --bindir=/opt/cabal/bin --libdir=/opt/cabal/lib
--libsubdir=glib-0.12.5.4/ghc-7.6.3 --libexecdir=/opt/cabal/libexec
--datadir=/opt/cabal/share --datasubdir=glib-0.12.5.4
--docdir=/opt/cabal/share/doc/glib-0.12.5.4
--htmldir=/opt/cabal/share/doc/glib-0.12.5.4/html
--haddockdir=/opt/cabal/share/doc/glib-0.12.5.4/html
--sysconfdir=/opt/cabal/etc --enable-library-profiling --enable-optimization=2
--global --package-db=/opt/cabal/package.conf.d --flags=closure_signals
--dependency=utf8-string=utf8-string-0.3.8-51169ff3d90963aa54c0a13eee5c3a53
--dependency=containers=containers-0.5.0.0-e7e1a93d7945e93a00ce12660e9ff290
--dependency=base=base-4.6.0.1-220b875e77822b0e1bf50c8f35d37dff
--disable-tests --exact-configuration --disable-benchmarks
[1 of 2] Compiling Gtk2HsSetup      ( Gtk2HsSetup.hs,
dist/setup-wrapper/Gtk2HsSetup.o )
[2 of 2] Compiling Main             ( SetupMain.hs, dist/setup-wrapper/Main.o )
Linking dist/setup-wrapper/setup ...
unrecognized option `--sysconfdir=/opt/cabal/etc'

unrecognized option
`--dependency=utf8-string=utf8-string-0.3.8-51169ff3d90963aa54c0a13eee5c3a53'

unrecognized option
`--dependency=containers=containers-0.5.0.0-e7e1a93d7945e93a00ce12660e9ff290'

unrecognized option
`--dependency=base=base-4.6.0.1-220b875e77822b0e1bf50c8f35d37dff'

unrecognized option `--exact-configuration'
Failed to install glib-0.12.5.4
World file is already up to date.
cabal: Error: some packages failed to install:
glib-0.12.5.4 failed during the configure step. The exception was:
ExitFailure 1
cwr@sixpence cabal $
===================================================================

Moving to the default version of glib, I then get:

===================================================================
cwr@sixpence cabal $ cabal --verbose --global
--package-db=/opt/cabal/package.conf.d install glib
Reading available packages...
Choosing modular solver.
Resolving dependencies...
Ready to install glib-0.13.1.0
Waiting for install task to finish...
Extracting
/opt/cabal/packages/hackage.haskell.org/glib/0.13.1.0/glib-0.13.1.0.tar.gz to
/tmp/glib-0.13.1.0-3703...
Updating glib.cabal with the latest revision from the index.
creating /tmp/glib-0.13.1.0-3703/glib-0.13.1.0/dist/setup
creating /tmp/glib-0.13.1.0-3703/glib-0.13.1.0/dist
creating /tmp/glib-0.13.1.0-3703/glib-0.13.1.0/dist/setup
Failed to install glib-0.13.1.0
World file is already up to date.
cabal: Error: some packages failed to install:
glib-0.13.1.0 failed during the configure step. The exception was:
user error (The package 'glib' requires Cabal library version -any && >=1.18
but no suitable version is installed.)
cwr@sixpence cabal $ cabal --version
cabal-install version 1.18.0.2
using version 1.18.1.2 of the Cabal library
cwr@sixpence cabal $
===================================================================

And moving to the default version of cabal, I get:

===================================================================
cwr@sixpence cabal $ cabal --verbose --global
--package-db=/opt/cabal/package.conf.d install glib
'/opt/cabal/bin/alex' '--version'
'/opt/cabal/bin/cpphs' '--version'
'/usr/bin/gcc' '-dumpversion'
'/opt/cabal/bin/haddock' '--version'
'/opt/cabal/bin/happy' '--version'
'/usr/bin/hpc' 'version'
looking for tool hsc2hs near compiler in /usr/bin
found hsc2hs in /usr/bin/hsc2hs
'/usr/bin/hsc2hs' '--version'
'/opt/cabal/bin/HsColour' '-version'
'/usr/bin/ghc' '-c' '/tmp/4186.c' '-o' '/tmp/4186.o'
'/usr/bin/ld' '-x' '-r' '/tmp/4186.o' '-o' '/tmp/4187.o'
'/usr/bin/pkg-config' '--version'
'/bin/tar' '--help'
Reading available packages...
Warning: The package list for 'hackage.haskell.org' is 51.4 days old.
Run 'cabal update' to get the latest list of available packages.
Choosing modular solver.
Resolving dependencies...
Ready to install glib-0.13.1.0
Waiting for install task to finish...
Extracting
/opt/cabal/packages/hackage.haskell.org/glib/0.13.1.0/glib-0.13.1.0.tar.gz to
/tmp/glib-0.13.1.0-4186...
Updating glib.cabal with the latest revision from the index.
creating /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup
creating /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist
creating /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup
copy /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/Setup.hs to
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup.hs
'/usr/bin/ghc' '--make' '-odir'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup' '-hidir'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup' '-i'
'-i/tmp/glib-0.13.1.0-4186/glib-0.13.1.0' '-package-db'
'/opt/cabal/package.conf.d' '-package-id'
'Cabal-1.22.1.1-98c5a01d59dd973fd7113dbb82e82560'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup.hs' '-o'
'/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup' '-threaded'
[1 of 2] Compiling SetupWrapper     (
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/SetupWrapper.hs,
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/SetupWrapper.o )
[2 of 2] Compiling Main             (
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup.hs,
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/Main.o )
Linking /tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup ...
/tmp/glib-0.13.1.0-4186/glib-0.13.1.0/dist/setup/setup configure --verbose=2
--ghc --prefix=/opt/cabal --bindir=/opt/cabal/bin --libdir=/opt/cabal/lib
--libsubdir=glib-0.13.1.0/ghc-7.6.3 --libexecdir=/opt/cabal/libexec
--datadir=/opt/cabal/share --datasubdir=glib-0.13.1.0
--docdir=/opt/cabal/share/doc/glib-0.13.1.0
--htmldir=/opt/cabal/share/doc/glib-0.13.1.0/html
--haddockdir=/opt/cabal/share/doc/glib-0.13.1.0/html
--sysconfdir=/opt/cabal/etc --enable-library-profiling --enable-optimization=2
--global --package-db=/opt/cabal/package.conf.d --flags=closure_signals
--dependency=utf8-string=utf8-string-0.3.8-51169ff3d90963aa54c0a13eee5c3a53
--dependency=text=text-1.1.1.3-3a54592a9f7d64cef4851163d5553453
--dependency=containers=containers-0.5.0.0-e7e1a93d7945e93a00ce12660e9ff290
--dependency=bytestring=bytestring-0.10.0.2-14ba8002009bf89cdad6038c30eda3fd
--dependency=base=base-4.6.0.1-220b875e77822b0e1bf50c8f35d37dff
--disable-tests --exact-configuration --disable-benchmarks
[1 of 2] Compiling Gtk2HsSetup      ( Gtk2HsSetup.hs,
dist/setup-wrapper/Gtk2HsSetup.o )

Gtk2HsSetup.hs:167:16:
    Not in scope: `LBI.getComponentLocalBuildInfo'
Failed to install glib-0.13.1.0
Updating world file...
cabal: Error: some packages failed to install:
glib-0.13.1.0 failed during the configure step. The exception was:
ExitFailure 1
cwr@sixpence cabal $
===================================================================

Does anyone have any idea how to fix any or all of these errors?

Thanks - Will


_______________________________________________
Beginners mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/beginners


_______________________________________________
Beginners mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/beginners